/***************************************************************
 *
 * WinCons.h
 *
 *	Declarations related to a VT52ish console for Windows.
 *
 * revisions:
 *
 *	2007-04-11 rli: original version.
 *
 *	2007-04-14 rli: Liberated DumbCons and started hacking it over.
 *
 *	2007-04-20 rli: Begin fiddling with controls.
 *
 *	2007-05-10 rli: Retired Resize in favor of SetSize; turns out
 *	  resizing the window is trickier than I thought.
 *
 ***************************************************************/

#ifndef WinCons_h_Included
#define WinCons_h_Included

/*************************
 *
 *	PROTOTYPES
 *
 *************************/

void WinCons_ClearEOL( void );
void WinCons_ClearEOS( void );
void WinCons_ClearScreen( void );
BYTE WinCons_ConIn( BYTE Address, void *Cookie );
BYTE WinCons_ConOt( BYTE Address, BYTE Value, void *Cookie );
BYTE WinCons_ConSt( BYTE Address, void *Cookie );
void WinCons_DisableCtrlC( void );
void WinCons_GotoXY( int X, int Y );
void WinCons_NormalVideo( void );
void WinCons_Register( void );
void WinCons_ReverseVideo( void );
void WinCons_SetSize( int Cols, int Rows );

#endif /* ndef WinCons_h_Included */

