/*********************
 *
 * rli_simint.c
 *
 *	Interrupt handling for the core simulation. I'm not planning on
 *	using interrupts, but need to supply some stubs that are assumed
 *	by the simulation.
 *
 * revisions:
 *
 *	2007-04-08 rli: original version.
 *
 *********************/

/***
 *
 * int_on
 *
 *	Enable interrupts. Since we're not using interrupts, we don't
 *	have to do anything.
 *
 * revisions:
 *
 *	2007-04-08 rli: original version.
 *
 * formal parameters:
 *	
 *	none.
 *
 * informal parameters:
 *
 *	none.
 *
 * return value:
 *
 *	none.
 *
 * other effects:
 *
 *	none.
 *
 ***/

void int_on( void )
{
  return;
}

/***
 *
 * int_off
 *
 *	disable interrupts. Since we're not using interrupts, we don't
 *	have to do anything.
 *
 * revisions:
 *
 *	2007-04-08 rli: original version.
 *
 * formal parameters:
 *	
 *	none.
 *
 * informal parameters:
 *
 *	none.
 *
 * return value:
 *
 *	none.
 *
 * other effects:
 *
 *	none.
 *
 ***/

void int_off( void )
{
  return;
}

